Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06059 Graphics Major Always Oct 31, 2015, 22:51 Dec 3, 2015, 07:32
Tester demotester View Status Public Platform MESS (Unofficial Binary)
Assigned To Resolution Open OS Windows XP
Status [?] Acknowledged Driver amstrad.cpp
Version 0.167 Fixed in Version Build Normal
Summary MESS-specific 06059: cpc6128p, gx4000: Results after testing some demos and sw-list!
Description -------------------------------------------------------------------------------------------------------------------------------------------
Amstard plus demos tested on cpc6128p with "sysukpd" cartridge attached!

Pure CPC Plus demos -> (acc. to list on http://www.cpcwiki.eu/index.php/Plus )
-------------------------------------------------------------------------------------------------------------------------------------------
1) 4096 Preview -> http://www.cpcwiki.eu/index.php/4096_Preview
  (http://www.cpc-power.com/index.php?page=detail&num=8308 )

   RUN"4096.BAS ... it start to load and stops! (works fine in WinAPE20A18)

2) Allergy -> http://www.cpcwiki.eu/index.php/Allergy
  (http://www.pouet.net/prod.php?which=33785 )

   RUN"ALLERGY ... it shows funny picture - sorry, no a plus machine! (on WinAPE20A18 it works fine)

3) ASM Intro 1 -> http://www.cpcwiki.eu/index.php/ASM_Intro_1
  (http://www.cpc-power.com/index.php?page=detail&onglet=dumps&num=7411 )

   RUN"-INTRO.BAS ... problem with scrolling text! (works fine in WinAPE20A18)

4) Basic Demo 3 -> http://www.cpcwiki.eu/index.php/Basic_Demo_3
  (http://www.pouet.net/prod.php?which=10483 )

   RUN"BDEMO3.BAS ... it works but miss some parts on screen (perhaps sprites)! (works fine in WinAPE20A18)

5) Black Sabbath -> http://www.cpcwiki.eu/index.php/Black_Sabbath
  (http://www.cpc-power.com/index.php?page=detail&onglet=dumps&num=7401 )

   RUN"-BS.BAS ... it works but not properly - lot of problems! (works fine in WinAPE20A18)
-------------------------------------------------------------------------------------------------------------------------------------------
Now it is too obvious, there's no point to continue the test because the driver is still far from perfection!

And the cpc6128p driver has status working but there are still a lot of problems! (hmm, feel a little scam here) :)


--------------------------------------------------------------------------------------------------------------------------
gx4000 sw-list (tested on cpc6128p and gx4000)
--------------------------------------------------------------------------------------------------------------------------
coptr271 .....small glitches on upper left corner + strange scrolling! (in sw-list no comments)
firefor2 ........flashing in the middle of screen! (in sw-list no comments)
noexit ........does not start - black screen! (in sw-list is <!-- doesn't boot -->)
othunder ....can not start with playing - runs only in demo mode! (in sw-list is <!-- doesn't boot -->)
pang .......glitched at screen bottom! (in sw-list is <!-- minor gfx glitch -->)
robocop2 ...glitched at screen bottom left! (in sw-list is <!-- doesn't boot -->)
tennisc2 .....glitched title screen! (in sw-list no comments)
tintin ..........in game glitches at screen bottom! (in sw-list is <!-- crashes at language select -->)
worldspt .....gliched title screen + strange scrolling! (in sw-list is <!-- glitched title screen -->)
---------------------------------------------------------------------------------------------------------------------------
Seems for now the new major problem is scrolling effect in general!
Steps To Reproduce See above in description!

Additional Information Other emu used for comparison: WinAPE20A18

Flags
Regression Version
Affected Sets / Systems cpc6128p, gx4000
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
8
User avatar
No.12105
mahlemiut
Developer
Nov 1, 2015, 21:10
Yes, there is definitely an issue with the vertical soft scroll. It did work previously, but it regressed at some point, probably due to some 6845 updates.
User avatar
No.12106
demotester
Tester
Nov 2, 2015, 00:56
Yes, and there are some new glitches in gx4000 sw-list too that were not reported in the sw-list in time when was written! (coptr271, firefor2, tennisc2)
User avatar
No.12188
mahlemiut
Developer
Nov 16, 2015, 10:44
I've pushed a fix for the vertical softscroll, scrolling is much nicer now, although Copter 271 is still a bit glitchy (related to hardware split screen, I think)
User avatar
No.12189
demotester
Tester
Nov 16, 2015, 20:18
Excellent! (I look forward to any progress, even if it is "slowly but surely") ;)
User avatar
No.12199
mahlemiut
Developer
Nov 22, 2015, 08:07
Added left border shift to cover up graphic mess (bit 7 of softscroll register). Just in time for next release, too. :)
Copter 271 sometimes locks up for some unknown reason now, but I have no idea why, it's always been a rather touchy game, but the others should generally be okay. Except No Exit. :)
User avatar
No.12211
mahlemiut
Developer
Nov 27, 2015, 09:24
Ok, now I've added an AMS40489 version of the CRTC, and switched the Plus and GX4000 to that, and also switched the regular CPC to use the HD6845.

Also, made read-only I/O return 0 on the Plus, which may help in Plus and CRTC type 3/4 detection.

(Sorry that this bit is after release ;))
User avatar
No.12212
demotester
Tester
Nov 27, 2015, 16:43
That is great news! (we can wait, no problem ;) )
User avatar
No.12218
mahlemiut
Developer
Dec 3, 2015, 07:32
Fixed sprites in overscan modes - Allergy and Basic Demo 3 appear to more or less work now.